Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class TransferThread

    java.lang.Object
      java.lang.Thread
          ix.util.CatchingThread
              ix.util.TransferThread

All Implemented Interfaces:
  java.lang.Runnable

    public abstract class TransferThread

extends CatchingThread

A thread that processes a message queue.

See Also:
  `MessageQueue`

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected MessageQueue` | `queue`

Fields inherited from class ix.util.CatchingThread
`innerRunnable`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`TransferThread()`

Method Summary
`abstract void` | `handle(java.lang.Object message)` Called to process the message in whatever way is desired.
`void` | `innerRun()` Loops taking a message from the queue and calling `handle(message)`.
`void` | `take(java.lang.Object message)` Enqueue the object for processing

Methods inherited from class ix.util.CatchingThread
`handleException, run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### queue

    protected MessageQueue queue

Constructor Detail

### TransferThread

    public TransferThread()

Method Detail

### take

    public void take(java.lang.Object message)

  Enqueue the object for processing

### innerRun

    public void innerRun()

  Loops taking a message from the queue and calling `handle(message)`.

  Overrides:
    `innerRun` in class `CatchingThread`

### handle

    public abstract void handle(java.lang.Object message)

  Called to process the message in whatever way is desired.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD